package cn.com.qmth.stmms.ms.marking.dto;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * Created by ZHENGMIN on 2016/10/10.
 */
public class PaperDTO implements Serializable{

    private static final long serialVersionUID = 1190036729651352126L;

    private Long id;
    private String sn;
    private String examNumber;
    private String level;
    private Integer score;
    private boolean isArbitrated;
    private boolean isRejected;
    private String redoLevel;
    private boolean isTagged;
    private boolean isManual;
    private Date updatedOn;
    private String imgSrc;
    private String thumbSrc;
    private boolean isSample;
    private boolean markByLeader;
    private boolean markedLogic;
    private String areaCode;
    private String subjectName;
    //抽查成绩
    private Integer inspectScore;
    private String inspectLevel;
    private Long inspector;
    private String sheetSrc;
    private boolean isMissing;
    private MarkStage stage;
    private int test;
    private int paperTest;
    private boolean shift;
    private boolean shiftScore;

    //是否科组长打回
    private Boolean isRejectedByLeader;
    //打回总次数
    private Integer rejectedCount;
   //排序用
    private int sortSum;
    private List<MarkTaskDTO> markResults = new ArrayList<>();

    public int getPaperTest() {
        return paperTest;
    }

    public void setPaperTest(int paperTest) {
        this.paperTest = paperTest;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getSheetSrc() {
        return sheetSrc;
    }

    public void setSheetSrc(String sheetSrc) {
        this.sheetSrc = sheetSrc;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public boolean isArbitrated() {
        return isArbitrated;
    }

    public void setArbitrated(boolean arbitrated) {
        isArbitrated = arbitrated;
    }

    public boolean isRejected() {
        return isRejected;
    }

    public void setRejected(boolean rejected) {
        isRejected = rejected;
    }

    public boolean isTagged() {
        return isTagged;
    }

    public void setTagged(boolean tagged) {
        isTagged = tagged;
    }

    public String getImgSrc() {
        return imgSrc;
    }

    public void setImgSrc(String imgSrc) {
        this.imgSrc = imgSrc;
    }

    public List<MarkTaskDTO> getMarkResults() {
        return markResults;
    }

    public void setMarkResults(List<MarkTaskDTO> markResults) {
        this.markResults = markResults;
    }

    public String getRedoLevel() {
        return redoLevel;
    }

    public void setRedoLevel(String redoLevel) {
        this.redoLevel = redoLevel;
    }

    public Date getUpdatedOn() {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public boolean isManual() {
        return isManual;
    }

    public void setManual(boolean manual) {
        isManual = manual;
    }

    public String getThumbSrc() {
        return thumbSrc;
    }

    public void setThumbSrc(String thumbSrc) {
        this.thumbSrc = thumbSrc;
    }

    public boolean isSample() {
        return isSample;
    }

    public void setSample(boolean sample) {
        isSample = sample;
    }

    public boolean isMarkedLogic() {
        return markedLogic;
    }

    public void setMarkedLogic(boolean markedLogic) {
        this.markedLogic = markedLogic;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Integer getInspectScore() {
        return inspectScore;
    }

    public void setInspectScore(Integer inspectScore) {
        this.inspectScore = inspectScore;
    }

    public String getInspectLevel() {
        return inspectLevel;
    }

    public void setInspectLevel(String inspectLevel) {
        this.inspectLevel = inspectLevel;
    }

    public Long getInspector() {
        return inspector;
    }

    public void setInspector(Long inspector) {
        this.inspector = inspector;
    }

	public boolean isMarkByLeader() {
		return markByLeader;
	}

	public void setMarkByLeader(boolean markByLeader) {
		this.markByLeader = markByLeader;
	}

    public boolean isMissing() {
        return isMissing;
    }

    public void setMissing(boolean missing) {
        isMissing = missing;
    }

    public MarkStage getStage() {
        return stage;
    }

    public void setStage(MarkStage stage) {
        this.stage = stage;
    }

    public int getTest() {
        return test;
    }

    public void setTest(int test) {
        this.test = test;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public boolean isShift() {
        return shift;
    }

    public void setShift(boolean shift) {
        this.shift = shift;
    }

    public boolean isShiftScore() {
        return shiftScore;
    }

    public void setShiftScore(boolean shiftScore) {
        this.shiftScore = shiftScore;
    }

    public int getSortSum() {
        return sortSum;
    }

    public void setSortSum(int sortSum) {
        this.sortSum = sortSum;
    }

    public Boolean getIsRejectedByLeader() {
        return isRejectedByLeader;
    }

    public void setIsRejectedByLeader(Boolean isRejectedByLeader) {
        this.isRejectedByLeader = isRejectedByLeader;
    }

    public Integer isRejectedCount() {
        return rejectedCount;
    }

    public void setRejectedCount(Integer rejectedCount) {
        this.rejectedCount = rejectedCount;
    }
}
